@charset "utf-8";
@import url("style.css");
#loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100svh;
    background-color: var(--color-wh);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    animation: fadeOut .8s ease-in-out 2s forwards;
}
#loading .loading-img,
#loading .loading-icon {
    opacity: 0;
    animation: fadeIn .8s ease-out 0s forwards;
}

#loading .loading-img {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
#loading .loading-img img {
    width: 220px;
}

#loading .loading-icon {
    position: absolute;
    bottom: 48px;
    left: 50%;
    transform: translateX(-50%);
    width: 24px;
    height: 24px;
}
#loading .loading-icon svg {
    width: 100%;
    height: 100%;
    animation: rotate 2s linear infinite;
}
#loading .loading-icon circle {
    fill: none;
    stroke: var(--color-gr);
    stroke-width: 1;
    stroke-linecap: round;
    transform-origin: center;
}
#loading .loading-icon circle:nth-child(1) {
    animation: dashAnimation 1.5s ease-in-out infinite;
}
@media screen and (max-width: 767px) {
    #loading .loading-img img { width: 180px; }
}

@keyframes fadeOut {
    to {
        opacity:0;
        visibility:hidden
    }
}
@keyframes fadeIn {
    to {
        opacity:1
    }
}
@keyframes rotate {
    100% { transform:rotate(360deg) }
}
@keyframes dashAnimation {
    0% {
        stroke-dasharray: 1,150;
        stroke-dashoffset: 0
    }
    50% {
        stroke-dasharray: 90,150;
        stroke-dashoffset: -35
    }
    100% {
        stroke-dasharray: 90,150;
        stroke-dashoffset: -124
    }
}